Bug 974501 - Its possible to create a dynaGroup definition without expression via CLI
Its possible to create a dynaGroup definition without expression via CLI
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: DR04
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: 880819
  Show dependency treegraph
 
Reported: 2013-06-14 05:50 EDT by Filip Brychta
Modified: 2014-01-02 15:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-06-14 05:50:56 EDT
Description of problem:
Its possible to pass null or empty string as a expression during creation of dynaGroup definition. Dynagroup definition is created without expression. This is not possible via GUI.

Version-Release number of selected component (if applicable):
Version: 4.8.0-SNAPSHOT
Build Number: 7b31b01

How reproducible:
Always

Steps to Reproduce:
1. ./rhq-cli.sh -p rhqadmin -u rhqadmin
2. dynaGroupDef.setExpression(null);  // or empty string ("") or don't use this setter at all
3. GroupDefinitionManager.createGroupDefinition(dynaGroupDef)

Actual results:
no exception and definition is created without expression

Expected results:
Exception with informative message (i.e. expression is required) is thrown and definition is not created.
Comment 1 Mike Foley 2013-07-02 11:19:56 EDT
moved to JON 3.3 per 7/2/2013 meeting with crouch, larry, heiko, foley
Comment 2 Jirka Kremser 2013-07-10 11:11:18 EDT
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=627c48a7a
time:    2013-07-10 17:10:25 +0200
commit:  627c48a7a18a03d9a91032a32c1833d4fcbae86a
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 974501] - Its possible to create a dynaGroup definition without
         expression via CLI - check whether expression is null of an
         empty string
Comment 3 Simeon Pinder 2013-08-26 11:36:22 EDT
Moving to ON_QA as available for testing in latest 3.2.x ALPHA 58 build:

https://brewweb.devel.redhat.com//buildinfo?buildID=291947
Comment 4 Filip Brychta 2013-08-27 11:24:53 EDT
Verified on 
Version: 3.2.0.ALPHA_QA
Build Number: 10b0467:adad71f

Note You need to log in before you can comment on or make changes to this bug.